Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_uid
string<uuid>
required

The unique identifier of the project

inference_log_id
string<uuid>
required

The unique identifier of the inference log

Body

application/json
score
number<float>
required

Quality score of the response (-1 is worst, 1 is best)

Required range: -1 <= x <= 1
Example:

0.8

weight
number<float>
required

Importance of this signal (0 is least important, 1 is most important)

Required range: 0 <= x <= 1
Example:

1

improvement
object | null

An improved version of the response (used for supervised fine-tuning)

Example:
qualitative_feedback
string | null

Qualitative feedback about the response (used for RLHF)

Example:

"The response was accurate but could be more concise"

signal_name
string | null

Name of the signal/sensor for observability

Example:

"user_thumbs_up"

signal_source
enum<string>
default:user

Source of the feedback signal

Available options:
system,
user
Example:

"user"

signal_type
enum<string>
default:explicit

Type of feedback signal

Available options:
explicit,
implicit
Example:

"explicit"

metadata
object | null

Additional metadata for observability

Example:

Response

Feedback signal recorded successfully

id
string<uuid>

The unique identifier of the feedback signal

message
string
Example:

"Feedback signal recorded successfully"